package ru.ttyh.neko259.notey.util;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class Utility {
	
	private static final String DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";
	private static final String DATE_TODAY = "HH:mm:ss";
	private static final String DATE_OLD = "yyyy-MM-dd";
	
	public static Date getDate(String dateString) {
		SimpleDateFormat format = new SimpleDateFormat(DATE_FORMAT);
		
		try {
			return format.parse(dateString);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		
		return null;
	}
	
	public static String getDateString(Date date) {
		SimpleDateFormat format = new SimpleDateFormat(DATE_FORMAT);
		
		return format.format(date);
	}
	
	public static String getTodayString(Date date) {
		DateFormat format = SimpleDateFormat.getTimeInstance();
		
		return format.format(date);
	}
	
	public static String getOldateString(Date date) {
		DateFormat format = SimpleDateFormat.getDateInstance();
		
		return format.format(date);
	}
	
}